/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.sikd5.sikd5ejb.dao;

import java.util.List;

/**
 *
 * @author Agus
 */
public interface IDao<E> {
    public List<E> getAll();
    public E findByID(int id);
    public E save(E obj);
    public E update(E obj);
    public void delete(int id);
    
}
